namespace Млаумчерб.Клиент.классы;

public class JavaArguments : ArgumentsWithPlaceholders
{
    private static readonly string[] _initial_arguments =
    [
        
    ];

    private static readonly string[] _enabled_features = 
    [
        
    ];

    public JavaArguments(MinecraftVersionDescriptor d)
    {
        raw_args.AddRange(_initial_arguments);
        if (d.arguments is not null)
        {
            foreach (var av in d.arguments.jvm)
            {
                if(Буржуазия.CheckRules(av.rules, _enabled_features))
                    raw_args.AddRange(av.value);
            }
        }
    }
}
